POST api/PatientCommunicationPreferences

Allows to update the communication preferences of a patient.

Request Information

URI Parameters

None.

Body Parameters

Model used to update patient's communication preferences.

PatientCommunicationPreferencesModel
NameDescriptionTypeAdditional information
PatientExternalId

Patient's unique ID on integrating system (Required).

string

None.

CommunicationsEmail

Email.

string

None.

AllowEmailNotifications

Indicates whether the patient agrees to receive email reminders.

boolean

None.

CommunicationsTextPhone

Mobile phone number.

string

None.

AllowSmsNotifications

Indicates whether the patient agrees to receive SMS reminders.

boolean

None.

CommunicationsVoicePhone

Primary phone number.

string

None.

AllowVoiceNotifications

Indicates whether the patient agrees to receive voice reminders.

boolean

None.

UseDifferentEmailAndPhoneForCommunications

Indicates if the patient will use specific email and phone numbers to receive communications (different from those on the contact information)

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "communicationsEmail": "sample string 2",
  "allowEmailNotifications": true,
  "communicationsTextPhone": "sample string 4",
  "allowSmsNotifications": true,
  "communicationsVoicePhone": "sample string 6",
  "allowVoiceNotifications": true,
  "useDifferentEmailAndPhoneForCommunications": true
}

application/xml, text/xml

Sample:
<PatientCommunicationPreferencesModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientCommunicationPreferences">
  <AllowEmailNotifications>true</AllowEmailNotifications>
  <AllowSmsNotifications>true</AllowSmsNotifications>
  <AllowVoiceNotifications>true</AllowVoiceNotifications>
  <CommunicationsEmail>sample string 2</CommunicationsEmail>
  <CommunicationsTextPhone>sample string 4</CommunicationsTextPhone>
  <CommunicationsVoicePhone>sample string 6</CommunicationsVoicePhone>
  <PatientExternalId>sample string 1</PatientExternalId>
  <UseDifferentEmailAndPhoneForCommunications>true</UseDifferentEmailAndPhoneForCommunications>
</PatientCommunicationPreferencesModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'PatientCommunicationPreferencesModel'.

Response Information

Resource Description

PatientCommunicationPreferencesModel
NameDescriptionTypeAdditional information
PatientExternalId

Patient's unique ID on integrating system (Required).

string

None.

CommunicationsEmail

Email.

string

None.

AllowEmailNotifications

Indicates whether the patient agrees to receive email reminders.

boolean

None.

CommunicationsTextPhone

Mobile phone number.

string

None.

AllowSmsNotifications

Indicates whether the patient agrees to receive SMS reminders.

boolean

None.

CommunicationsVoicePhone

Primary phone number.

string

None.

AllowVoiceNotifications

Indicates whether the patient agrees to receive voice reminders.

boolean

None.

UseDifferentEmailAndPhoneForCommunications

Indicates if the patient will use specific email and phone numbers to receive communications (different from those on the contact information)

boolean

None.

Response Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "communicationsEmail": "sample string 2",
  "allowEmailNotifications": true,
  "communicationsTextPhone": "sample string 4",
  "allowSmsNotifications": true,
  "communicationsVoicePhone": "sample string 6",
  "allowVoiceNotifications": true,
  "useDifferentEmailAndPhoneForCommunications": true
}

application/xml, text/xml

Sample:
<PatientCommunicationPreferencesModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientCommunicationPreferences">
  <AllowEmailNotifications>true</AllowEmailNotifications>
  <AllowSmsNotifications>true</AllowSmsNotifications>
  <AllowVoiceNotifications>true</AllowVoiceNotifications>
  <CommunicationsEmail>sample string 2</CommunicationsEmail>
  <CommunicationsTextPhone>sample string 4</CommunicationsTextPhone>
  <CommunicationsVoicePhone>sample string 6</CommunicationsVoicePhone>
  <PatientExternalId>sample string 1</PatientExternalId>
  <UseDifferentEmailAndPhoneForCommunications>true</UseDifferentEmailAndPhoneForCommunications>
</PatientCommunicationPreferencesModel>